Bug 1275610 - RFE: JavaFX [NEEDINFO]
Summary: RFE: JavaFX
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Deepak Bhole
QA Contact: zzambers
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
: 1539796 (view as bug list)
Depends On:
Blocks: 1594286 1597239
TreeView+ depends on / blocked
 
Reported: 2015-10-27 10:26 UTC by Levente Farkas
Modified: 2019-05-31 21:00 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-28 21:41:21 UTC
dbhole: needinfo? (neugens)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1145303 None ON_QA RFE: JavaFX 2019-06-11 01:40 UTC

Description Levente Farkas 2015-10-27 10:26:55 UTC
the same apply to rhel 6 and 7 as described in #1145303. is there any plan to include JavaFX in java-1.8.0-openjdk?

Comment 2 jiri vanek 2015-10-27 11:00:06 UTC
Deffinitely not inside openjdk. And probablky not in baseOS. And definitely not for 7.2. Sorry.

JavaFX is in fedora and is quite painful to maintain for now.

Once it is settled  its default inclusion in openjdk will be a must.

Comment 3 Deepak Bhole 2018-01-29 16:47:43 UTC
*** Bug 1539796 has been marked as a duplicate of this bug. ***

Comment 4 jiri vanek 2018-02-07 12:35:28 UTC
I have implemented javafx-desc support for ITW. It works moreover fine with JavaFX as we have it in fedora. I have posted long info into Fedora bug: https://bugzilla.redhat.com/show_bug.cgi?id=1145303#c140

Comment 7 Red Hat Bugzilla Rules Engine 2018-11-28 21:41:21 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Comment 8 Deepak Bhole 2018-11-28 21:43:47 UTC
Nack'd for 7.7, but didn't mean to close this completely.

Comment 9 Deepu K S 2019-03-28 10:14:17 UTC
Any chance that JavaFX will be shipped with openjdk 11 ?

Comment 10 Deepak Bhole 2019-03-29 16:34:18 UTC
(In reply to Deepu K S from comment #9)
> Any chance that JavaFX will be shipped with openjdk 11 ?

Hi Deepu, we have no plans to support JavaFX at this time (11 or otherwise).

Comment 13 Andrey Loskutov 2019-05-29 11:02:21 UTC
Just to confirm: this decision is also related to the providing rpm's for any future JavaFX versions (independently on any OpenJDK "X" packages, since JavaFX was separated from JDK)?

Means, as RHEL customers, we will never be able to consume JavaFX libraries provided by Red Hat?

I see that there are rpms from https://openjfx.io/ (via https://gluonhq.com/products/javafx/), and looking for similar rpm's from Red Hat.


Note You need to log in before you can comment on or make changes to this bug.